﻿using System.Collections.Generic;
using System.Windows;

namespace ColumnChart
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow
    {
        private List<DataItem> _data;

        public MainWindow()
        {
            InitializeComponent();
        }

        public List<DataItem> Data
        {
            get
            {
                if (_data == null)
                {
                    _data = new List<DataItem>();
                        _data.Add(new DataItem("UK", 5, 4));
                        _data.Add(new DataItem("USA", 7, 3));
                        _data.Add(new DataItem("Germany", 8, 5));
                        _data.Add(new DataItem("Japan", 12, 8));
                }

                return _data;
            }
        }

        //private void chart_Rendered(object sender, C1.WPF.Chart.RenderEventArgs e)
        //{
        //    // redraw data over axes
        //    var fld = chart.GetType().GetField("_chartRenderer",BindingFlags.Instance | BindingFlags.NonPublic);
        //    if (fld != null)
        //    {
        //        var bflags = BindingFlags.Instance | BindingFlags.NonPublic;
        //        var rend = fld.GetValue(chart);
        //        var mGetPlotter = rend.GetType().GetMethod("GetPlotter", bflags, null, new Type[] { typeof(C1.Chart.ISeries) }, null);
        //        var mRenderData = rend.GetType().GetMethod("RenderData", bflags);
        //        var pl = mGetPlotter.Invoke(rend, new object[] { null });
        //        rend.GetType().GetMethod("ClearPlotters", bflags).Invoke(rend, null);
        //        mRenderData.Invoke(rend, new object[] { chart, e.Engine, pl });
        //    }
        //}

        //private void Series_SymbolRendered(object sender, C1.WPF.Chart.RenderSymbolEventArgs e)
        //{
        //    // opaque fill
        //    var ser = (Series)sender;
        //    if (ser.Style == null)
        //        e.Engine.SetFill( ((C1.Chart.IPalette)chart).GetColor(chart.Series.IndexOf(ser)));
        //}
    }

    public class DataItem
    {
        public DataItem(string country, int sales, int expenses)
        {
            Country = country;
            Sales = sales;
            Expenses = expenses;
        }

        public string Country { get; set; }
        public int Sales { get; set; }
        public int Expenses { get; set; }
    }
}
